import json

# Money
# {username: balance}
class money():
    def read():
        with open('money.json', 'r') as openfile:
            data = json.load(openfile)
        return data
    def write(data):
        js = json.dumps(data, indent=4)
        with open("money.json", "w") as outfile:
            outfile.write(js)

# Mining + Registrations
# Hash is encrypted!
# [ {"PrevHash": "00043dsafd", "nonce": 1, "OpenKey": "762eagdfgtars5e34"}, ...]
class mine():
    def read():
        with open('mine.json', 'r') as openfile:
            data = json.load(openfile)
        return data
    def write(data):
        js = json.dumps(data, indent=4)
        with open("mine.json", "w") as outfile:
            outfile.write(js)

# Pay + Registrations?
# Hash is encrypted!
# [ {"Payer": "user32532", "Receiver": "user64582", "OpenKey": "762eagdfgtars5e34", "PrevHash": "fsd2675ads"} , ...]
class pay():
    def read():
        with open('pay.json', 'r') as openfile:
            data = json.load(openfile)
        return data
    def write(data):
        js = json.dumps(data, indent=4)
        with open("pay.json", "w") as outfile:
            outfile.write(js)

# Keys
# {"user32532": "762eagdfgtars5e34", ...}
class keys():
    def read():
        with open('keys.json', 'r') as openfile:
            data = json.load(openfile)
        return data
    def write(data):
        js = json.dumps(data, indent=4)
        with open("keys.json", "w") as outfile:
            outfile.write(js)
